## r-cran-argparse 2.0.3

=== DESCRIPTION ===
Package: argparse
Type: Package
Title: Command Line Optional and Positional Argument Parser
Version: 2.0.3
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"), email="trevor.l.davis@gmail.com"),
    person("Allen", "Day", role="ctb", comment="Some documentation and examples ported from the getopt package."),
    person("Python Software Foundation", role="ctb", comment="Some documentation from the optparse Python module."),
    person("Paul", "Newell", role="ctb"))
Description: A command line parser to
    be used with Rscript to write "#!" shebang scripts that gracefully
    accept positional and optional arguments and automatically generate usage.
License: GPL (>= 2)
Copyright: See file (inst/)COPYRIGHTS.
URL: https://github.com/trevorld/r-argparse
BugReports: https://github.com/trevorld/r-argparse/issues
LazyLoad: yes
Imports: R6, findpython, jsonlite
SystemRequirements: python (>= 3.2)
Suggests: knitr (>= 1.15.19), rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-10-18 23:22:50 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Allen Day [ctb] (Some documentation and examples ported from the getopt
    package.),
  Python Software Foundation [ctb] (Some documentation from the optparse
    Python module.),
  Paul Newell [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-19 04:30:07 UTC

## r-cran-argparse 2.0.1

=== debian/changelog ===
r-cran-argparse (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 15:10:10 +0200

r-cran-argparse (2.0.1-1) unstable; urgency=medium

  * Initial release (closes: #958936)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 26 Apr 2020 23:56:44 +0200

=== debian/control ===
Source: r-cran-argparse
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-r6,
               r-cran-findpython,
               r-cran-jsonlite,
               python3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
Homepage: https://cran.r-project.org/package=argparse
Rules-Requires-Root: no

Package: r-cran-argparse
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R command line parser for optional and positional arguments
 This GNU R package provides a command line parser to be used with Rscript
 to write "#!" shebang scripts that gracefully accept positional and optional
 arguments and automatically generate usage.

## r-cran-argparse 2.0.3

=== debian/changelog ===
r-cran-argparse (2.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Oct 2020 17:24:43 +0200

r-cran-argparse (2.0.1-3) unstable; urgency=medium

  * Restore dependency on python3.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 12 Oct 2020 12:20:42 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Package: r-cran-argparse
 Architecture: all
 Depends: ${R:Depends},
+         python3,
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/argparse_([-\d.]*)\.tar\.gz

## r-cran-argparse 2.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: argparse
 Type: Package
 Title: Command Line Optional and Positional Argument Parser
-Version: 2.0.3
+Version: 2.1.3
 Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"), email="trevor.l.davis@gmail.com"),
     person("Allen", "Day", role="ctb", comment="Some documentation and examples ported from the getopt package."),
     person("Python Software Foundation", role="ctb", comment="Some documentation from the optparse Python module."),
@@ -21,7 +21,7 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-10-18 23:22:50 UTC; trevorld
+Packaged: 2021-11-25 21:45:21 UTC; trevorld
 Author: Trevor L Davis [aut, cre],
   Allen Day [ctb] (Some documentation and examples ported from the getopt
     package.),
@@ -30,4 +30,4 @@
   Paul Newell [ctb]
 Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-10-19 04:30:07 UTC
+Date/Publication: 2021-11-26 14:20:02 UTC

=== debian/changelog ===
r-cran-argparse (2.1.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.1.3

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Dec 2021 23:22:56 +0530

r-cran-argparse (2.1.2-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 2.1.2

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 23:55:06 +0530

r-cran-argparse (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 09:22:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-findpython,
                r-cran-jsonlite,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
 Homepage: https://cran.r-project.org/package=argparse
@@ -20,8 +20,8 @@
 Package: r-cran-argparse
 Architecture: all
 Depends: ${R:Depends},
-         python3,
-         ${misc:Depends}
+         ${misc:Depends},
+         python3
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R command line parser for optional and positional arguments

## r-cran-argparse 2.1.6+dfsg

=== debian/changelog ===
r-cran-argparse (2.1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 16:50:43 +0200

r-cran-argparse (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2022 11:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-argparse
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
+Homepage: https://cran.r-project.org/package=argparse
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-findpython,
                r-cran-jsonlite,
                python3
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
-Homepage: https://cran.r-project.org/package=argparse
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-argparse
 Architecture: all

## r-cran-argparse 2.2.1+dfsg

=== debian/changelog ===
r-cran-argparse (2.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 13:55:08 +0100

## r-cran-argparse 2.2.2+dfsg

=== DESCRIPTION ===
Package: argparse
Type: Package
Title: Command Line Optional and Positional Argument Parser
Version: 2.2.2
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"),
             email="trevor.l.davis@gmail.com",
             comment = c(ORCID = "0000-0001-6341-4639")),
    person("Allen", "Day", role="ctb", comment="Some documentation and examples ported from the getopt package."),
    person("Python Software Foundation", role="ctb", comment="Some documentation from the argparse Python module."),
    person("Paul", "Newell", role="ctb"))
Description: A command line parser to
    be used with 'Rscript' to write "#!" shebang scripts that gracefully
    accept positional and optional arguments and automatically generate usage.
License: GPL (>= 2)
Copyright: See file (inst/)COPYRIGHTS.
URL: https://github.com/trevorld/r-argparse
BugReports: https://github.com/trevorld/r-argparse/issues
LazyLoad: yes
Depends: R (>= 3.6.0)
Imports: R6, findpython, jsonlite
SystemRequirements: python (>= 3.2)
Suggests: knitr (>= 1.15.19), rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 7.1.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-02-15 19:40:37 UTC; trevor
Author: Trevor L Davis [aut, cre] (<https://orcid.org/0000-0001-6341-4639>),
  Allen Day [ctb] (Some documentation and examples ported from the getopt
    package.),
  Python Software Foundation [ctb] (Some documentation from the argparse
    Python module.),
  Paul Newell [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-15 19:50:02 UTC

=== debian/changelog ===
r-cran-argparse (2.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
 Homepage: https://cran.r-project.org/package=argparse
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-argparse 2.2.3+dfsg

=== debian/changelog ===
r-cran-argparse (2.2.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Jul 2024 08:50:31 +0900

## r-cran-argparse 2.2.5+dfsg

=== DESCRIPTION ===
Package: argparse
Type: Package
Title: Command Line Optional and Positional Argument Parser
Version: 2.2.5
Authors@R: c(person("Trevor L.", "Davis", role=c("aut", "cre"),
             email="trevor.l.davis@gmail.com",
             comment = c(ORCID = "0000-0001-6341-4639")),
    person("Allen", "Day", role="ctb", comment="Some documentation and examples ported from the getopt package."),
    person("Python Software Foundation", role="ctb", comment="Some documentation from the argparse Python module."),
    person("Paul", "Newell", role="ctb"))
Description: A command line parser to
    be used with 'Rscript' to write "#!" shebang scripts that gracefully
    accept positional and optional arguments and automatically generate usage.
License: GPL (>= 2)
Copyright: See file (inst/)COPYRIGHTS.
URL: https://github.com/trevorld/r-argparse,
        https://trevorldavis.com/R/argparse/
BugReports: https://github.com/trevorld/r-argparse/issues
LazyLoad: yes
Depends: R (>= 3.6.0)
Imports: findpython, jsonlite, R6
SystemRequirements: python (>= 3.2)
Suggests: knitr (>= 1.15.19), rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 7.3.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-12-20 12:37:26 UTC; trevorld
Author: Trevor L. Davis [aut, cre] (<https://orcid.org/0000-0001-6341-4639>),
  Allen Day [ctb] (Some documentation and examples ported from the getopt
    package.),
  Python Software Foundation [ctb] (Some documentation from the argparse
    Python module.),
  Paul Newell [ctb]
Maintainer: Trevor L. Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2024-12-20 13:00:02 UTC

=== debian/changelog ===
r-cran-argparse (2.2.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Feb 2025 13:26:19 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
 Homepage: https://cran.r-project.org/package=argparse
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r6,
                r-cran-findpython,
                r-cran-jsonlite,
+               r-cran-r6,
                python3
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr (>= 1.15.19),
        r-cran-rmarkdown,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/argparse_([-\d.]*)\.tar\.gz

## r-cran-argparse 2.3.1+dfsg

=== debian/changelog ===
r-cran-argparse (2.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 14:13:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-argparse
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
-Homepage: https://cran.r-project.org/package=argparse
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-findpython,
                r-cran-jsonlite,
                r-cran-r6,
-               python3
-Testsuite: autopkgtest-pkg-r
+               python3,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparse
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparse.git
+Homepage: https://cran.r-project.org/package=argparse
+Rules-Requires-Root: no
 
 Package: r-cran-argparse
 Architecture: all
